import Request from '../common/request.js';
let request = new Request().http

// 获取用药调研列表
export function getMedicationSurveyList(data) {
	return request('/app/drugResearch/getDrugResearchList',data, 'POST', 'application/json;charset=UTF-8');
}
// 提交病例征集
export function submitCaseCollection(data) {
	return request('/app/drugResearch/insertDrugResearch', data, 'POST', 'application/json;charset=UTF-8');
}

// 获取病例详情
export function getCaseDetail(data) {
	return request('/app/drugResearch/getDrugResearchDetail', data, 'POST');
}

// 获取调研状态列表
export function getSurveyStatusList() {
	return request('/store/app/medicationSurvey/getStatusList', null, 'GET');
}

// 获取调研类型列表
export function getSurveyTypeList() {
	return request('/store/app/medicationSurvey/getTypeList', null, 'GET');
}
